Skip to main content

Create Brand Asset Resource

API Description

Create a new brand asset such as a cover photo or logo resource.

Request

URI Parameters

NameInput
orgId
REQUIRED
brandId
REQUIRED
Path Template
POST {url}/api/{version}/orgs/{orgId}/brands/{brandId}/assets
Path Example
POST {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/assets

Request Headers

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json

Request Body

NameInput
$.brandAssetDetails
REQUIRED
Example Request Body (raw JSON)
{
"brandAssetDetails": {
"imageId": "1e863dc0-0980-11f0-9cd2-0242ac120002",
"partnersAssetId": "brand_asset_10101",
"intent": "PLACECARD_LOGO",
"altTexts": [
{
"text": "A barista preparing a cafe latte",
"locale": "en"
},
{
"text": "de prueba",
"locale": "es"
}
]
}
}

Response

201 Created or Error

Response Headers

Name
apple-request-id
content-type
etag
location
Example Response Headers
HTTP/1.1 201 Created
apple-request-id: 0a8af52f-aa59-4cbd-96a6-bde380fc64ea
content-type: application/json
etag: "58df050c-ddd1-11ec-b406-17be3fa34229"
location: /api/v1/orgs/9467895078742654934/brands/9467895078742654921/assets/9467895078742654944

Response Body

NameOutput
$.orgId
REQUIRED
$.brandId
REQUIRED
$.id
REQUIRED
$.createdDate
REQUIRED
$.updatedDate
REQUIRED
$.state
REQUIRED
$.etag
REQUIRED
$.brandAssetDetails
REQUIRED
$.validationReports[]
CONDITIONAL
Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654944",
"createdDate": "2026-10-01T17:22:19.00Z",
"updatedDate": "2026-10-01T17:22:19.00Z",
"state": "SUBMITTED",
"etag": "58df050c-ddd1-11ec-b406-17be3fa34229",
"brandAssetDetails": {
"imageId": "1e863dc0-0980-11f0-9cd2-0242ac120002",
"partnersAssetId": "brand_asset_10101",
"intent": "PLACECARD_LOGO",
"altTexts": [
{
"text": "A barista preparing a cafe latte",
"locale": "en"
},
{
"text": "de prueba",
"locale": "es"
}
]
},
"validationReports": []
}